Bug 106181 - [patch] scrollkeeper-update segfaults
Summary: [patch] scrollkeeper-update segfaults
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: scrollkeeper   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeBlocker
TreeView+ depends on / blocked
 
Reported: 2003-10-03 14:43 UTC by Tim Waugh
Modified: 2007-04-18 16:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-09 10:35:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace scrollkeeper-update -p /var/lib/scrollkeeper (76.82 KB, text/plain)
2003-10-12 10:11 UTC, Tim Waugh
no flags Details
scrollkeeper-crash.patch (512 bytes, patch)
2003-11-09 23:03 UTC, Tim Waugh
no flags Details | Diff

Description Tim Waugh 2003-10-03 14:43:00 UTC
Description of problem:
scrollkeeper-update segfaults

Version-Release number of selected component (if applicable):
scrollkeeper-0.3.12-2

How reproducible:
100%

Steps to Reproduce:
1. As user, scrollkeeper-update -p /var/lib/scrollkeeper
    
Actual results:
#0  0x00b105b1 in vfprintf () from /lib/tls/libc.so.6
#1  0x00b99818 in _xstat () from /lib/tls/libc.so.6

Comment 1 Tim Waugh 2003-10-06 16:51:01 UTC
I'm afraid it's no longer happening. :-(

Comment 2 Alexander Larsson 2003-10-06 17:03:28 UTC
Hmmm :/
If anyone sees it again, reopen this bug.


Comment 3 Tim Waugh 2003-10-12 10:10:57 UTC
Okay, it's happening again now.  Same version, same stack trace.

Comment 4 Tim Waugh 2003-10-12 10:11:50 UTC
Created attachment 95120 [details]
strace scrollkeeper-update -p /var/lib/scrollkeeper

Here's the output from:
strace scrollkeeper-update -p /var/lib/scrollkeeper

Comment 5 Tim Waugh 2003-11-05 18:50:45 UTC
This is happening again.  Should I attach the core file or something?

Comment 6 Alexander Larsson 2003-11-06 09:47:21 UTC
A backtrace with the scrollkeeper debuginfo package installed would be
great.

Comment 7 Tim Waugh 2003-11-06 09:55:01 UTC
(gdb) bt
#0  0x004355b1 in vfprintf () from /lib/tls/libc.so.6

(same as before, same as ever)

Comment 8 Tim Waugh 2003-11-09 23:03:59 UTC
Created attachment 95859 [details]
scrollkeeper-crash.patch

Here is the fix.

Comment 9 Miloslav Trmac 2003-11-10 11:54:14 UTC
Filed upstream:
http://sourceforge.net/tracker/index.php?func=detail&aid=839165&group_id=11543&atid=311543
New SK release is due Real Soon for about two months now :(

Comment 10 Miloslav Trmac 2003-12-05 10:40:29 UTC
Fixed in upstream scrollkeeper-0.3.13.

Comment 11 Alexander Larsson 2004-02-09 10:35:48 UTC
We got 0.3.14 now.


Note You need to log in before you can comment on or make changes to this bug.